## linux-ftpd-ssl 0.17.31+0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.31+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-31
    + IPv6 support! Thanks to Mats Erik Andersson
      <mats.andersson@gisladisker.se>.
  * Convert to format 3.0 (quilt).
  * Extract source changes to patches in debian/patch/, annotate
    patches in DEP3 format. SSL patches start at 500, patches
    below that are imported unchanged from the debian linux-ftpd
    package.
  * debian/rules: add -fno-strict-align to CFLAGS.
  * ftpd.8: typo fixes.
  * Switch to debhelper compat level 7.
  * debian/watch: check for new debian package of linux-ftpd.
  * Update maintainer email.
  * Remove DM-Upload-Allowed flag.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Mon, 14 Jun 2010 02:14:27 +0100

linux-ftpd (0.17-31) unstable; urgency=low

  [Mats Erik Andersson]

  * debian/control: Expanded description.
  * debian/copyright: Added explicit license for the two IPv6-patches.
  * Describe effects of recent changes on three inetd-servers.
    + debian/NEWS: Short text addition.
    + debian/README.Debian: Added an extended discussion.
  * FTBFS GNU/kfreebsd, GNU/Hurd:
    * debian/patches/26-support_glibc_bsd_and_gnu.diff: New file.
  * debian/{postinst,prerm}: Use option '--multi' with 'update-inetd'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 20:05:34 +0200

linux-ftpd (0.17-30) unstable; urgency=low

  * Migration to format "3.0 (quilt)".
    + Identified source code patches:
    + debian/patches/01-from_hamm.diff
    + debian/patches/02-from_sarge.diff
    + debian/patches/03-from_etch.diff
    + debian/patches/10-ftpd_csrf.diff
  * Standard 3.8.4, debhelper compatibility 7:
    + Using dh_prep.
  * debian/control:
    + Build depend includes ${misc:Depends} and 'debhelper (>= 7).
    + Source homepage stanza pointing to download site.
  * debian/watch: New file.
  * debian/postinst: Suppress error message if '/etc/inetd.conf' is missing.
    + Print a hint to the example xinetd configuration, if applicable.
  * debian/ftpd.examples:
    + debian/ftpd.xinetd: Configuration for use with xinetd.
  * Prepare migration to IPv6 support:
    + debian/rules: Use compiler flag '-fno-strict-aliasing'.
    + debian/patches/14-adjust_infrastruct.diff: New file.
    + debian/patches/16-family_independence.diff: New file.
  * Implement active IPv6 support: (Closes: #580251)
    + debian/patches/20-support_ipv6.diff: New file.
    + debian/NEWS: New file.
    + debian/README.Debian: A short explanation is added.
  * Uninitialized va_list causes segmentation faults on amd64:
    + debian/patches/24-failing_va_list.diff: New file.
  * [lintian] maintainer-script-without-set-e:
    + debian/{preinst,prerm,postinst,postrm} modified.
  * [lintian] debian-rules-ignores-make-clean-error:
    + debian/rules modified.
  * agi: Added Mats Erik Andersson as Uploader.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 09 May 2010 16:17:20 +0200

linux-ftpd (0.17-29) unstable; urgency=high

  * Ian Beckwith:
    - Patch to fix cross-site request forgery (CSRF) attacks.
      CVE-2008-4247 (Closes: #500278)
  * Updated package description. (Closes: #493433)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Oct 2008 20:34:17 +0200

linux-ftpd (0.17-28) unstable; urgency=low

  * Patch postrm/postinst files to handle update-inetd better.
    Thanks Ian Beckwith for the patch. (Closes: #482912)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:13:19 +0200

linux-ftpd-ssl (0.17.27+0.3-3) unstable; urgency=high

  * Fix command line split CSRF (Closes: #500518)
    Addresses CVE-2008-4242 and CVE-2008-4247.

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 16 Oct 2008 22:13:23 +0100

linux-ftpd-ssl (0.17.27+0.3-2) unstable; urgency=low

  * Create debian/NEWS with details of openssl problems
    and key rollover.
  * Explicitly depend/build-depend on fixed openssl.
  * ftpd/ftpd.c: Set default ssl key/cert file to /etc/ftpd-ssl/ftpd.pem.
  * postinst:
    + On new installs don't bother with -z cert and -z key, as we
      can now use the defaults.
    + Revert to update-inetd logic from linux-ftpd.
  * postrm: Only remove inetd entry on purge, and only if it is commented out.
  * Add private copy of openssl.cnf from openssl 0.9.8g-10 (See #372105).
  * debian/control:
    + Added DM-Upload-Allowed: yes.

 -- Ian Beckwith <ianb@erislabs.net>  Sun, 25 May 2008 19:24:55 +0100

linux-ftpd-ssl (0.17.27+0.3-1) unstable; urgency=low

  * New maintainer (Closes: #476132).
  * Update to linux-ftpd 0.17-27.
  * Fix all warnings in source.
  * ftpd.8: Document SSL options, fix typo.
  * debian/control:
    + Standards-Version: 3.7.3 (no changes).
  * debian/rules:
    + Support DEB_BUILD_OPTIONS=noopt.
    + Added -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    + Fixed make distclean invocation.
    + Removed unused install-stamp.
    + Removed unnecessary debhelper calls.
  * debian/postinst: worked round checkbashism false positive.
  * debian/postrm: fixed wording of error message.
  * debian/copyright: added copyright info for SSL patches.
  * Bumped debhelper compat level to 5.
  * Use linux-ftpd_0.17.orig.tar.gz as our orig.tar.gz.

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 23 Apr 2008 01:06:35 +0100

linux-ftpd (0.17-27) unstable; urgency=low

  * Ignore missing ../MCONFIG in clean target. (Closes: #436720)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 08 Aug 2007 20:49:22 +0200

linux-ftpd (0.17-26) unstable; urgency=low

  * Removed Depends on update-inetd, since it should be provided by
    inetd-superserver.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Aug 2007 18:02:11 +0200

linux-ftpd (0.17-25) unstable; urgency=low

  * Condition the call to update-inetd in postrm. (Closes: #416745)
  * Moved netbase dependency to openbsd-inetd | inet-superserver.
  * Added Depends on update-inetd
  * Moved to debhelper compat 4. (Removed debian/conffiles)

