## linux-ftpd-ssl 0.17.32%2B0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.32+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-32.
  * Standards-Version: 3.9.0 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Sun, 25 Jul 2010 01:32:41 +0100

linux-ftpd (0.17-32) unstable; urgency=low

  * Fixed minor typos in ftpd.8.
  * Renamed patches to avoid future clashes with linux-ftpd-ssl.
  * Bumped Standards to 3.9.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 08 Jul 2010 13:28:07 +0200
