## linux-ftpd-ssl 0.17.32+0.3

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: ftpd-ssl
 Architecture: any
