## linux-ftpd-ssl 0.17.33+0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.33+0.3-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 13:52:00 +0100

linux-ftpd-ssl (0.17.33+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-33.
  * Drop hard-coded dependency on libssl0.9.8.
  * Standards-Version: 3.9.1 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Wed, 20 Apr 2011 02:46:14 +0100

linux-ftpd (0.17-33) unstable; urgency=low

  * Correct implementation of EPSV for IPv4.
    + debian/patches/020-support_ipv6.diff: Updated file.
  * [lintian] Addition of DEP-3 header:
    + debian/patches/030-manpage_typos.diff: Description added.
  * debian/control: Spelling of 'kFreeBSD'.
  * Bumped Standards to 3.9.1.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 06 Apr 2011 22:34:30 +0200
