=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 
 Package: ftpd-ssl
 Architecture: any
-Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), libssl0.9.8 (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
+Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
 Provides: ftp-server
 Conflicts: ftp-server, ftpd
 Replaces: ftpd
