## linux-ftpd-ssl 0.17.35+0.3

=== support/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../MCONFIG
 
-OBJS=setproctitle.o isexpired.o vis.o
+OBJS=daemon.o setproctitle.o isexpired.o vis.o
 
 all: libsupport.a
 
@@ -16,3 +16,4 @@
 	rm -f *.o libsupport.a
 
 setproctitle.o: setproctitle.h
+daemon.o: daemon.h
