=== debian/changelog ===
linux-ftpd-ssl (0.17.35+0.3-2) unstable; urgency=medium

  * NLST of empty directory results in segfault.
    + debian/patches/500-ssl.diff: Updated. (Closes: #788331)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 11 Jun 2015 19:25:49 +0200

linux-ftpd-ssl (0.17.35+0.3-1) unstable; urgency=low

  * Update to source version 0.17-35 of linux-ftpd.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * Bring in package changes from experimental to unstable.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 15:29:17 +0200

linux-ftpd (0.17-35) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Update Standards to 3.9.6.
    + debian/rules: Add missing targets build-arch, build-indep.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * debian/rules: Use the same build flags CDEFS and LDDEFS as is in
    use by the variant linux-ftpd-ssl.
  * debian/postinst: Mistyped informational text. (Closes: #741111)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 14:31:44 +0200

linux-ftpd-ssl (0.17.34+0.3-1) experimental; urgency=low

  * New maintainer and new uploader.
  * Update Standards to 3.9.6
    + debian/rules: Add missing targets build-arch, build-indep.
  * Activate hardening flags like linux-ftpd does.
    + debian/rules: Update is based on `dpkg-buildflags'.
  * Update to source version 0.17-34 of linux-ftpd.
    + debian/rules: Call dh_installexamples.
    + debian/postinst: Adapt message to `ftpd-ssl'.
    + debian/ftpd-ssl.examples: Renamed file.
  * Missing use of SSL protected stream. (Closes: #774454)
    + debian/patches/570-redirect_ssl_output.diff: New file.
  * debian/postinst: Add a hint when an SSL certificate is missing.
  * debian/watch: Correction to URL.
  * Include a descriptive text about making test certificates.
    + debian/simple-cert.txt: New file.
    + debian/ftpd-ssl.examples: Mention the previous file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 07 Jan 2015 22:25:56 +0100

linux-ftpd (0.17-34) unstable; urgency=low

  * Drop unneeded libcrypt linking:
    + debian/patches/040-refine_config.diff: New file.
  * Support GNU/Hurd:
    + debian/patches/044-support_gnu_hurd.diff: New file.
    + debian/control: Mention GNU/Hurd in package description.
  * Activate hardening flags. Suggested by Moritz Muehlenhoff.
    + debian/rules: Use 'dpkg-buildflags'. (Closes: #656005)
  * Bump Standards to 3.9.3.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 30 Mar 2012 00:54:44 +0200
