=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: linux-ftpd-ssl
 Section: net
 Priority: extra
-Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.9.1
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: bison, debhelper (>= 9), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
+Standards-Version: 3.9.6
 
 Package: ftpd-ssl
 Architecture: any
