=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,10 @@
 CDEFS  := -D_FILE_OFFSET_BITS=64 -g
 LDDEFS := -Wl,-z,defs -Wl,--as-needed
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 
 	if [ ! -f MCONFIG ]; then \
@@ -22,14 +25,18 @@
 		    -e 's/^LDFLAGS=\(.*\)$$/LDFLAGS=$(LDDEFS) \1/' \
 			MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
-		echo CFLAGS+=-DUSE_PAM >> MCONFIG; \
-		echo LIBS+=-lpam >> MCONFIG; \
+		echo CFLAGS+=-DUSE_PAM=1 \
+			`dpkg-buildflags --get CFLAGS` \
+			`dpkg-buildflags --get CPPFLAGS` >> MCONFIG; \
+		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` >> MCONFIG; \
 	fi
 	$(MAKE)
+	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+	rm -f build-stamp
 
 	[ ! -f MCONFIG ] || $(MAKE) distclean
 
@@ -58,6 +65,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
+	dh_installexamples
 	dh_installchangelogs ChangeLog
 	dh_strip
 	dh_compress
