=== debian/watch ===
version=3

# check for new debian package of our upstream, linux-ftpd
# the other possible upstreams are long dead

opts="uversionmangle=s/(.*)-(.*)/$1.$2+0.3/" http://ftp.debian.org/debian/pool/main/l/linux-ftpd/linux-ftpd_(.*).dsc
