## linux-ftpd-ssl 0.17.36%2Breally0.17

=== debian/changelog ===
linux-ftpd-ssl (0.17.36+really0.17-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Wed, 03 Apr 2024 13:15:00 +1100

linux-ftpd-ssl (0.17.36+really0.17-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:56:59 +0000

linux-ftpd-ssl (0.17.36+really0.17-2) unstable; urgency=medium

  * QA upload.
  * Don't conflict with ftpd.
  * Set Priority optional (was: extra).

 -- Bastian Germann <bage@debian.org>  Thu, 08 Sep 2022 11:14:01 +0200

linux-ftpd-ssl (0.17.36+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Ignore cert file with -z nossl set.
  * Drop outdated README.SSL.
  * d/copyright: Convert to machine-readable format.
    + MIT-CMU is not applicable (nowhere in upstream code).

 -- Bastian Germann <bage@debian.org>  Wed, 07 Sep 2022 09:39:57 +0200

linux-ftpd-ssl (0.17.36+0.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Tweak cmake patches to link correctly. Closes: #925768
  * Drop obsolete libssl1.0-dev dependency. Closes: #917348
    - drop version constraint, satisfied already since o-o-stable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 18:39:22 +0200

linux-ftpd-ssl (0.17.36+0.3-2.1) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake as build system. Closes: #912123

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:39:30 +0100

linux-ftpd-ssl (0.17.36+0.3-2) unstable; urgency=low

  * Adaption to libssl of recent version.
    + debian/patches/580-recent_libssl.diff: New file.
    + debian/control: Reverse order between libssl-dev and libssl1.0-dev,
      remove versioning of libssl-dev.
  * Fulfill minimal requirements in RFC 2228.  Accept CA-files, key files,
    cipher selection, and chained certificates.  Full verification of any
    certificate is possible.
    + Immediately forbid SSLv2 while initializing SSL.
    + debian/patches/600-better_conformity.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 24 Jan 2017 15:35:15 +0100

linux-ftpd-ssl (0.17.36+0.3-1) unstable; urgency=low

  * Update to source version 0.17-36 of linux-ftpd.
  * Allow build dependency on libssl1.0-dev, or libssl-dev (<< 1.1.0~).
    Closes: #828424
  * Silence pedantic complaints on archaic code source.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 Dec 2016 15:41:43 +0100

linux-ftpd (0.17-36) unstable; urgency=low

  * Step up to Standards version 3.9.8, no changes.
  * Increase hardening level.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:09:38 +0100
