=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bison, debhelper (>= 10~), libpam0g-dev | libpam-dev, libssl-dev, cmake
Standards-Version: 3.9.8

Package: ftpd-ssl
Architecture: any
Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl, ${shlibs:Depends}, ${misc:Depends}
Provides: ftp-server
Conflicts: ftp-server
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.
