## linux-ftpd-ssl 0.17.36+0.3

=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: extra
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: bison, debhelper (>= 9), libpam0g-dev | libpam-dev, libssl-dev | libssl1.0-dev
Standards-Version: 3.9.8

Package: ftpd-ssl
Architecture: any
Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
Provides: ftp-server
Conflicts: ftp-server, ftpd
Replaces: ftpd
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.
