=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,9 @@
 			MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 		echo CFLAGS+=-DUSE_PAM=1 \
-			`dpkg-buildflags --get CFLAGS` \
+			`dpkg-buildflags --get CFLAGS` -fPIE -pie \
 			`dpkg-buildflags --get CPPFLAGS` >> MCONFIG; \
-		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` >> MCONFIG; \
+		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` -Wl,-z,now >> MCONFIG; \
 	fi
 	$(MAKE)
 	touch build-stamp
