## linux-ftpd-ssl 0.17.36+really0.17

=== debian/changelog ===
linux-ftpd-ssl (0.17.36+really0.17-3) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Use wrap-and-sort -satb for debian control files
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entries 0.17.18+0.3-9, 0.17.18+0.3-2.
  * add Rules-Requires-Root field
  * update debhelper-compat to 12

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 07 May 2024 16:03:34 +0200
