=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Build-Depends:
 bison,
 cmake,
 debhelper-compat (= 12),
 libpam0g-dev | libpam-dev,
 libssl-dev,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/linux-ftpd-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/linux-ftpd-ssl

Package: ftpd-ssl
Architecture: any
Depends:
 libpam-modules,
 openbsd-inetd | inet-superserver,
 openssl,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ftp-server,
Conflicts:
 ftp-server,
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.
