=== debian/rules ===
#!/usr/bin/make -f

export verbose=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake --no-parallel
